<?php
  /**
 * This file is part of a project maintained at  NC State University.
 *
 * More information is included in the project README.md.
 *
 * (c) NC State University
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace NCSU\Auth\Storage;

interface StorageInterface 
{
    /**
     * Determines if storage is empty.
     * @return boolean
     */
    public function isEmpty();

    /**
     * Reads contents of storage. Returns null if empty.
     * @return mixed|null
     */
    public function read();

    /**
     * Writes contents to storage.
     * @param mixed $contents
     * @return void
     */
    public function write($contents);

    /**
     * Clears storage.
     * @return void
     */
    public function clear();
} 